# std::bitset::set

From cppreference.com
< cpp‎ | utility‎ | bitset

bitset<N>& set(); | (1) |
bitset<N>& set( size_t pos, bool value = true ); | (2) |

Sets all bits to true or to specified value.

1) Sets all bits to true.
2) Sets the bit at position `pos` to the value `value`.

### Parameters

pos | - | the position of the bit to set (least significant to most significant)
value | - | the value to set the bit to

### Return value

*this

### Exceptions

1)

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

2) Throws std::out_of_range if `pos` does not correspond to a valid position within the bitset.

### Example

Run this code

    #include <iostream>
    #include <bitset>

    int main()
    {
        std::bitset<8> b;
        for (size_t i = 1; i < b.size(); i += 2) {
            b.set(i);
        }
        std::cout << b << '\n';
    }

Output:

    10101010

### See also

reset | sets bits to false (public member function)
flip | toggles the values of bits (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/bitset/set&oldid=91643"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template